## polib 1.1.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/polib.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/polib.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/polib"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/polib"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## polib 0.5.2

=== debian/changelog ===
polib (0.5.2-1) unstable; urgency=low

  * New upstream release
  * debian/copyright:
    - Update years
    - Update download page
  * Convert to source format 3.0 (quilt)
  * Bump Standards-Version to 3.8.4 (no changes)

 -- Angel Abad <angelabad@gmail.com>  Wed, 09 Jun 2010 10:02:16 +0200

polib (0.5.1-1) unstable; urgency=low

  * Initial release (Closes: #535845)

 -- Angel Abad <angelabad@gmail.com>  Fri, 01 Jan 2010 23:47:28 +0100

=== debian/control ===
Source: polib
Section: python 
Priority: optional 
Maintainer: Angel Abad <angelabad@gmail.com>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), python (>= 2.5)
Build-Depends-Indep: python-support (>= 0.5.3)
Standards-Version: 3.8.4
Homepage: http://bitbucket.org/izi/polib/src/ 
Vcs-Svn: svn://svn.debian.org/python-modules/packages/polib/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/polib/trunk/
DM-Upload-Allowed: yes

Package: python-polib
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python library to parse and manage gettext catalogs  
 polib allows you to manipulate, create, modify gettext files 
 (pot, po and mo files). You can load existing files, iterate 
 through it's entries, add, modify entries, comments or metadata,
 etc... or create new po files from scratch.

## polib 0.6.3

=== debian/changelog ===
polib (0.6.3-1) unstable; urgency=low

  * New upstream release

 -- Angel Abad <angelabad@gmail.com>  Sun, 20 Feb 2011 15:39:34 +0100

polib (0.6.2-1) unstable; urgency=low

  * New upstream release

 -- Angel Abad <angelabad@gmail.com>  Sun, 13 Feb 2011 11:46:03 +0100

polib (0.6.1-1) unstable; urgency=low

  * New upstream release

 -- Angel Abad <angelabad@gmail.com>  Thu, 10 Feb 2011 08:56:00 +0100

polib (0.6.0-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: Update copyright years
  * Switch to dh_python2
    - debian/control:
      + Remove python-support from B-D-I
      + Bump minimun python-all version to 2.6.6-3
      + Add Breaks: python:Breaks
      + Add X-Python-Version: >= 2.5
    - debian/rules
      + Add --with python2 to rules
    - debian/pyversions: Remove file
  
 -- Angel Abad <angelabad@gmail.com>  Mon, 07 Feb 2011 16:35:39 +0100

polib (0.5.5-1) unstable; urgency=low

  * New upstream release

 -- Angel Abad <angelabad@gmail.com>  Tue, 02 Nov 2010 14:45:57 +0100

polib (0.5.3-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.1 (no changes)

 -- Angel Abad <angelabad@gmail.com>  Thu, 02 Sep 2010 21:36:35 +0200

=== debian/control ===
Source: polib
Section: python 
Priority: optional 
Maintainer: Angel Abad <angelabad@gmail.com>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), python-all (>= 2.6.6-3)
Standards-Version: 3.9.1
Homepage: http://bitbucket.org/izi/polib/src/ 
Vcs-Svn: svn://svn.debian.org/python-modules/packages/polib/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/polib/trunk/
X-Python-Version: >= 2.5
DM-Upload-Allowed: yes

Package: python-polib
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Breaks: ${python:Breaks}
Description: Python library to parse and manage gettext catalogs  
 polib allows you to manipulate, create, modify gettext files 
 (pot, po and mo files). You can load existing files, iterate 
 through it's entries, add, modify entries, comments or metadata,
 etc... or create new po files from scratch.

## polib 0.7.0

=== debian/changelog ===
polib (0.7.0-2) unstable; urgency=low

  * Add python3-polib binary package
  * Run runtests.sh in package build
  * debian/patches/01_remove_unicode_error_files:
    - Remove files with unicode errors for python 3
  * Bump Debhelper compat level to 8.
  * Update my email address -> angel@debian.org
  * debian/copyright:
    - Update debian/* years
    - Update format format for new specification
  * debian/control: Remove DM-Upload-Allowed

 -- Angel Abad <angel@debian.org>  Mon, 02 Jan 2012 15:57:38 +0100

polib (0.7.0-1) unstable; urgency=low

  * New upstream release

 -- Angel Abad <angelabad@gmail.com>  Tue, 19 Jul 2011 15:40:40 +0200

polib (0.6.3-2) unstable; urgency=low

  * Team upload

  [ Angel Abad ]
  * debian/control: Remove python:Breaks

  [ Scott Kitterman ]
  * Rebuild for python transition
  * Bump standards version to 3.9.2 without further change
  * Clean up trailing whitespace in debian/control

 -- Scott Kitterman <scott@kitterman.com>  Sun, 01 May 2011 20:47:27 -0400

=== debian/control ===
Source: polib
Section: python
Priority: optional
Maintainer: Angel Abad <angel@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 8), python-all (>= 2.6.6-3), python3-all
Standards-Version: 3.9.2
Homepage: http://bitbucket.org/izi/polib/src/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/polib/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/polib/trunk/
X-Python-Version: >= 2.5

Package: python-polib
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python library to parse and manage gettext catalogs  
 polib allows you to manipulate, create, modify gettext files 
 (pot, po and mo files). You can load existing files, iterate 
 through it's entries, add, modify entries, comments or metadata,
 etc... or create new po files from scratch.

Package: python3-polib
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python 3 library to parse and manage gettext catalogs  
 polib allows you to manipulate, create, modify gettext files 
 (pot, po and mo files). You can load existing files, iterate 
 through it's entries, add, modify entries, comments or metadata,
 etc... or create new po files from scratch.
 .
 This package provides Python 3 library.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,python3

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build

override_dh_auto_test:
	dh_auto_test
	./runtests.sh

override_dh_auto_build:
	dh_auto_build
	set -ex; for python in $(shell py3versions -r); do \
		$$python setup.py build; \
	done

override_dh_auto_install:
	dh_auto_install
	set -ex; for python in $(shell py3versions -r); do \
		$$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
	done

## polib 1.0.0

=== debian/changelog ===
polib (1.0.0-2) unstable; urgency=low

  * debian/copyright:
    - Update upstream years
    - Update format to copyright-format 1.0
  * New package python-polib-doc with sphinx documentation

 -- Angel Abad <angel@debian.org>  Wed, 20 Jun 2012 11:47:05 +0200

polib (1.0.0-1) unstable; urgency=low

  * Imported Upstream version 1.0.0
  * Convert debian package to Git
  * Bump Standards-Version to 3.9.3 (no changes)

 -- Angel Abad <angel@debian.org>  Sat, 16 Jun 2012 10:16:25 +0200

=== debian/control ===
Source: polib
Section: python
Priority: optional
Maintainer: Angel Abad <angel@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 8),
 python-all (>= 2.6.6-3),
 python3-all,
 python-sphinx (>= 1.0.7+dfsg)
Standards-Version: 3.9.3
Homepage: http://bitbucket.org/izi/polib/src/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/polib.git
Vcs-Git: git://anonscm.debian.org/collab-maint/polib.git
X-Python-Version: >= 2.5

Package: python-polib
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: python-polib-doc
Description: Python library to parse and manage gettext catalogs  
 polib allows you to manipulate, create, modify gettext files 
 (pot, po and mo files). You can load existing files, iterate 
 through it's entries, add, modify entries, comments or metadata,
 etc... or create new po files from scratch.

Package: python3-polib
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-polib-doc
Description: Python 3 library to parse and manage gettext catalogs  
 polib allows you to manipulate, create, modify gettext files 
 (pot, po and mo files). You can load existing files, iterate 
 through it's entries, add, modify entries, comments or metadata,
 etc... or create new po files from scratch.
 .
 This package provides Python 3 library.

Package: python-polib-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Python library to parse and manage gettext catalogs (documentation)
 polib allows you to manipulate, create, modify gettext files
 (pot, po and mo files). You can load existing files, iterate
 through it's entries, add, modify entries, comments or metadata,
 etc... or create new po files from scratch.
 .
 This package provides documentation.

## polib 1.0.3

=== debian/changelog ===
polib (1.0.3-2) unstable; urgency=low

  * debian/control: Switch python-sphinx to B-D again because it is needed
    in the clean target. Thanks to Jakub Wilk (Closes: #700340)

 -- Angel Abad <angel@debian.org>  Tue, 19 Feb 2013 11:13:07 +0100

polib (1.0.3-1) unstable; urgency=low

  * Imported Upstream version 1.0.3
  * debian/control: Switch python-sphinx to B-D-I
  * debian/patches/01_remove_unicode_error_files: Refresh patch

 -- Angel Abad <angel@debian.org>  Sun, 10 Feb 2013 19:45:26 +0100

polib (1.0.2-1) unstable; urgency=low

  * Imported Upstream version 1.0.2

 -- Angel Abad <angel@debian.org>  Tue, 23 Oct 2012 13:26:09 +0200

polib (1.0.1-1) unstable; urgency=low

  * Imported Upstream version 1.0.1
  * Bump Standards-Version to 3.9.3 (no changes)

 -- Angel Abad <angel@debian.org>  Fri, 21 Sep 2012 14:04:58 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  python-all (>= 2.6.6-3),
  python3-all,
  python-sphinx (>= 1.0.7+dfsg)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://bitbucket.org/izi/polib/src/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/polib.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/polib.git

## polib 1.0.4

=== debian/changelog ===
polib (1.0.4-1) unstable; urgency=medium

  * Imported Upstream version 1.0.4
  * debian/watch: Now use pipy url
  * Bump Standards-Version to 3.9.5 (no changes)

 -- Angel Abad <angel@debian.org>  Wed, 19 Mar 2014 23:48:36 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  python-all (>= 2.6.6-3),
  python3-all,
  python-sphinx (>= 1.0.7+dfsg)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://bitbucket.org/izi/polib/src/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/polib.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/polib.git

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python2,python3
+	dh $@ --with sphinxdoc,python2,python3
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -23,4 +23,7 @@
 		$$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
 	done
 
+override_dh_installdocs:
+	sphinx-build docs build/sphinx/html
+	dh_installdocs

=== debian/watch ===
version=3
https://pypi.python.org/pypi/polib https://pypi.python.org/packages/source/p/polib/polib-(.+).tar.gz#md5=.*

## polib 1.0.5

=== debian/changelog ===
polib (1.0.5-1) unstable; urgency=medium

  * Imported Upstream version 1.0.5 (Closes: #754549)
  * Update Vcs-Browser URL to cgit web frontend
  * debian/copyright: Update debian/* years

 -- Angel Abad <angel@debian.org>  Mon, 25 Aug 2014 09:08:42 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python-sphinx (>= 1.0.7+dfsg)
 Standards-Version: 3.9.5
 Homepage: http://bitbucket.org/izi/polib/src/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/polib.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/polib.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/polib.git
 X-Python-Version: >= 2.5

## polib 1.0.6

=== debian/changelog ===
polib (1.0.6-1) unstable; urgency=medium

  * Imported Upstream version 1.0.6
  * debian/watch: Update file, now uses pypi.debian.net
  * debian/patches/01_remove_unicode_error_files: Remove patch, applied
    upstream
  * Bump debhelper compat level to 9
  * Declare compliance with Debian Policy 3.9.6
  * debian/control:
    - Build-Depends on python-setuptools and python3-setuptools
    - Adjust python-sphinx version
    - Fix python and python3 versions
    - Update package descriptions
  * debian/rules:
    - Uses --buildsystem=pybuild for simplified file
    - Override for new sphinx build with localhost proxy

 -- Angel Abad <angel@debian.org>  Mon, 09 Feb 2015 14:33:49 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,18 @@
 Priority: optional
 Maintainer: Angel Abad <angel@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 8),
- python-all (>= 2.6.6-3),
+Build-Depends: debhelper (>= 9~),
+ python-all (>= 2.6.6-3~),
+ python-setuptools,
  python3-all,
- python-sphinx (>= 1.0.7+dfsg)
-Standards-Version: 3.9.5
+ python3-setuptools,
+ python-sphinx (>= 1.0.7+dfsg-1~)
+Standards-Version: 3.9.6
 Homepage: http://bitbucket.org/izi/polib/src/
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/polib.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/polib.git
-X-Python-Version: >= 2.5
+X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.2
 
 Package: python-polib
 Architecture: all
@@ -22,6 +25,8 @@
  (pot, po and mo files). You can load existing files, iterate 
  through it's entries, add, modify entries, comments or metadata,
  etc... or create new po files from scratch.
+ .
+ This package installs the library for Python 2.
 
 Package: python3-polib
 Architecture: all
@@ -33,7 +38,7 @@
  through it's entries, add, modify entries, comments or metadata,
  etc... or create new po files from scratch.
  .
- This package provides Python 3 library.
+ This package installs the library for Python 3.
 
 Package: python-polib-doc
 Architecture: all
@@ -45,5 +50,5 @@
  through it's entries, add, modify entries, comments or metadata,
  etc... or create new po files from scratch.
  .
- This package provides documentation.
+ This package install polib documentation.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html

## polib 1.0.7

=== debian/changelog ===
polib (1.0.7-1) unstable; urgency=medium

  * Imported Upstream version 1.0.7
  * debian/control: Build-Depends on dh-python
  * debian/rules: Force package python tests

 -- Angel Abad <angel@debian.org>  Wed, 22 Jul 2015 12:42:29 +0200

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Angel Abad <angel@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9~),
+ dh-python,
  python-all (>= 2.6.6-3~),
  python-setuptools,
  python3-all,

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/polib/polib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## polib 1.0.8

=== debian/changelog ===
polib (1.0.8-1) unstable; urgency=medium

  * New upstream version 1.0.8
  * debian/copyright:
    - Change Copyright-Format 1.0 URL to HTTPS.
    - Change license name, MIT to Expat.
  * debian/control:
    - Remove versions from Build-Depends.
    - Use HTTPS transport protocol for Vcs-Git URI.
    - Remove extra spaces in descriptions.
  * Declare compliance with Debian Policy 3.9.8.
  * debian/patches/remove_external_data: Remove data from external
    website in docs.
  * Add debian/upstream/metadata.

 -- Angel Abad <angel@debian.org>  Thu, 08 Dec 2016 19:44:16 +0100

=== debian/control ===
Source: polib
Section: python
Priority: optional
Maintainer: Angel Abad <angel@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools,
               python-sphinx
Standards-Version: 3.9.8
Homepage: http://bitbucket.org/izi/polib/src/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/polib.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/polib.git
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-polib
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Suggests: python-polib-doc
Description: Python library to parse and manage gettext catalogs
 polib allows you to manipulate, create, modify gettext files 
 (pot, po and mo files). You can load existing files, iterate 
 through it's entries, add, modify entries, comments or metadata,
 etc... or create new po files from scratch.
 .
 This package installs the library for Python 2.

Package: python3-polib
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-polib-doc
Description: Python 3 library to parse and manage gettext catalogs
 polib allows you to manipulate, create, modify gettext files 
 (pot, po and mo files). You can load existing files, iterate 
 through it's entries, add, modify entries, comments or metadata,
 etc... or create new po files from scratch.
 .
 This package installs the library for Python 3.

Package: python-polib-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Python library to parse and manage gettext catalogs (documentation)
 polib allows you to manipulate, create, modify gettext files
 (pot, po and mo files). You can load existing files, iterate
 through it's entries, add, modify entries, comments or metadata,
 etc... or create new po files from scratch.
 .
 This package install polib documentation.

## polib 1.1.0

=== debian/changelog ===
polib (1.1.0-3) unstable; urgency=medium

  * debian/control:
    - Fix spelling error
    - Mark python-polib-doc as Multi-Arch foreign
  * Bump Standards-Version to 4.1.2 (no changes)

 -- Angel Abad <angel@debian.org>  Fri, 08 Dec 2017 12:38:28 +0100

polib (1.1.0-2) unstable; urgency=medium

  * debian/control: Add python autopkg tests

 -- Angel Abad <angel@debian.org>  Thu, 30 Nov 2017 10:11:21 +0100

polib (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0 (Closes: #873163)
  * Remove trailing whitespaces
  * debian/control: Build depends on python3-sphinx
  * debian/copyright: Update copyright years
  * debian/watch: Use secure url
  * Bump Debhelper compat level to 10
  * Declare compliance with Debian Policy 4.1.1

 -- Angel Abad <angel@debian.org>  Wed, 29 Nov 2017 11:05:49 +0100

=== debian/control ===
Source: polib
Section: python
Priority: optional
Maintainer: Angel Abad <angel@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools,
               python3-sphinx
Standards-Version: 4.1.2
Homepage: http://bitbucket.org/izi/polib/src/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/polib.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/polib.git
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Testsuite: autopkgtest-pkg-python

Package: python-polib
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Suggests: python-polib-doc
Description: Python library to parse and manage gettext catalogs
 polib allows you to manipulate, create, modify gettext files
 (pot, po and mo files). You can load existing files, iterate
 through it's entries, add, modify entries, comments or metadata,
 etc... or create new po files from scratch.
 .
 This package installs the library for Python 2.

Package: python3-polib
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-polib-doc
Description: Python 3 library to parse and manage gettext catalogs
 polib allows you to manipulate, create, modify gettext files
 (pot, po and mo files). You can load existing files, iterate
 through it's entries, add, modify entries, comments or metadata,
 etc... or create new po files from scratch.
 .
 This package installs the library for Python 3.

Package: python-polib-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Python library to parse and manage gettext catalogs (documentation)
 polib allows you to manipulate, create, modify gettext files
 (pot, po and mo files). You can load existing files, iterate
 through it's entries, add, modify entries, comments or metadata,
 etc... or create new po files from scratch.
 .
 This package installs polib documentation.

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,5 @@
 	dh_auto_build
 	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html
 
+override_dh_auto_test:
+	./runtests.sh

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/polib/polib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## polib 1.1.1

=== debian/changelog ===
polib (1.1.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Angel Abad ]
  * New upstream version 1.1.1
  * debian/upstream/metadata: Update upstream urls
  * debian/copyright: Update copyright years
  * Bump debhelper-compat to 13
  * Bump standards version to 4.5.1 (no changes required)

 -- Angel Abad <angel@debian.org>  Sun, 22 Aug 2021 10:28:27 +0200

polib (1.1.0-7) unstable; urgency=medium

  * Add salsa ci configuration file
  * debian/rules: Use execute_after_ instead of override_
  * debian/control: Set Rules-Requires-Root: no
  * Bump standards version to 4.5.0 (no changes required)

 -- Angel Abad <angel@debian.org>  Mon, 17 Feb 2020 08:03:51 +0100

polib (1.1.0-6) unstable; urgency=medium

  * debian/control: Suggests python-polib-doc

 -- Angel Abad <angel@debian.org>  Wed, 11 Sep 2019 08:41:55 +0200

polib (1.1.0-5) unstable; urgency=medium

  * Rename binary python3-polib-doc to python-polib-doc again, sorry!

 -- Angel Abad <angel@debian.org>  Thu, 05 Sep 2019 13:14:30 +0200

polib (1.1.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Angel Abad ]
  * Remove polib python 2 module (Closes: #937308)
  * Rename binary python-polib-doc to python3-polib-doc
  * debian/patches/use_python3_for_tests: Use python3 in tests
  * debian/rules: Check DEB_BUILD_OPTIONS against nocheck on tests
  * Bump debhelper-compat to 12
  * Declare compatibility with Debian Policy 4.4.0
  * debian/watch: use uscan version 4

 -- Angel Abad <angel@debian.org>  Sat, 31 Aug 2019 12:35:08 +0200

=== debian/control ===
Source: polib
Section: python
Priority: optional
Maintainer: Angel Abad <angel@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-sphinx
Standards-Version: 4.5.1
Homepage: https://github.com/izimobil/polib/
Vcs-Browser: https://salsa.debian.org/python-team/packages/polib
Vcs-Git: https://salsa.debian.org/python-team/packages/polib.git
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python3-polib
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-polib-doc
Description: Python 3 library to parse and manage gettext catalogs
 polib allows you to manipulate, create, modify gettext files
 (pot, po and mo files). You can load existing files, iterate
 through it's entries, add, modify entries, comments or metadata,
 etc... or create new po files from scratch.
 .
 This package installs the library for Python 3.

Package: python-polib-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Python library to parse and manage gettext catalogs (documentation)
 polib allows you to manipulate, create, modify gettext files
 (pot, po and mo files). You can load existing files, iterate
 through it's entries, add, modify entries, comments or metadata,
 etc... or create new po files from scratch.
 .
 This package installs polib documentation.

=== debian/watch ===
version=4
https://pypi.debian.net/polib .*/polib-?@ANY_VERSION@@ARCHIVE_EXT@$

## polib 1.2.0

=== debian/changelog ===
polib (1.2.0-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.7.2.
  * debian/copyright: Update debian years.
  * debian/patches/msgfmt_no_convert:
      fix FTBFS, Don't convert to UTF8 in msgfmt in test.
    Thanks to Dave Vasilevsky (Closes: #1074675)

 -- Angel Abad <angel@debian.org>  Sat, 05 Apr 2025 18:40:38 +0200

polib (1.2.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Update standards version to 4.6.1, no changes needed.

  [ Angel Abad ]
  * New upstream version 1.2.0
  * debian/patches/remove_external_data: Refresh patch

 -- Angel Abad <angel@debian.org>  Wed, 01 May 2024 12:20:52 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-all,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/izimobil/polib/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/polib
 Vcs-Git: https://salsa.debian.org/python-team/packages/polib.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs/ build/html

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	./runtests.sh
endif
